View Issue Details

IDProjectCategoryView StatusLast Update
0008117CentOS-6kdebase-workspacepublic2015-01-26 19:27
ReporterJohnnyHughes 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.6 
Target Version6.6Fixed in Version 
Summary0008117: kdebase-workspace-4.3.4-29.el6.src.rpm fails to build on CentOS-6.6
Descriptionkdebase-workspace-4.3.4-29.el6.src.rpm fails to build on CentOS-6.6 due to the version of cmake and boost included in CentOS-6.6.

See this bug for info:

http://bit.ly/1t2UNsW

I was able to add this to the spec file, in the cmake section, to build on CentOS-6.6:

-DBoost_NO_BOOST_CMAKE=ON

Also attached is a patch to the spec file that allows this to build on CentOS-6.6

NOTE: One can also use an older version of cmake (that is, the version included in CentOS or RHEL 6.5) to build the SRPM as is.
Steps To ReproduceBuild SRPM on CentOS-6.6 (or RHEL-6.6).
Additional InformationError produced:

CMake Error at /usr/lib64/boost/Boost.cmake:536 (message):
  The imported target "boost_date_time-static" references the file
     "/usr/lib64/lib64/libboost_date_time.a"
  but this file does not exist.
TagsNo tags attached.

Relationships

related to 0008130 resolvedIssue Tracker boost packages released 2015-01-23 - missing in CentOS-announce 

Activities

JohnnyHughes

JohnnyHughes

2015-01-22 19:49

administrator  

kbebase-workspace.spec.patch (393 bytes)
diff --git a/SPECS/kdebase-workspace.spec b/SPECS/kdebase-workspace.spec
index 4e2a37f..fc70bbd 100644
--- a/SPECS/kdebase-workspace.spec
+++ b/SPECS/kdebase-workspace.spec
@@ -310,6 +310,7 @@ pushd %{_target_platform}
   -DKDE4_KDM_PAM_SERVICE=kdm \
   -DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
   -DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver \
+  -DBoost_NO_BOOST_CMAKE=ON \
   ..
 popd
 

JohnnyHughes

JohnnyHughes

2015-01-24 13:36

administrator   ~0022208

Cause was the boost from CentOS-6.6 need to be rebuilt with and older cmake. Rebuilt boost with the cmake from CentOS-6.5 and then rebuilt kdebase-workspace, then released both.

Issue History

Date Modified Username Field Change
2015-01-22 19:49 JohnnyHughes New Issue
2015-01-22 19:49 JohnnyHughes File Added: kbebase-workspace.spec.patch
2015-01-22 19:51 JohnnyHughes Description Updated View Revisions
2015-01-24 13:36 JohnnyHughes Note Added: 0022208
2015-01-24 13:36 JohnnyHughes Status new => resolved
2015-01-24 13:36 JohnnyHughes Resolution open => fixed
2015-01-26 19:27 JohnnyHughes Relationship added related to 0008130